"use strict";
const jsxRuntime = require("react/jsx-runtime");
const antd = require("antd");
const kit_Theme_UI = require("./Theme/UI.cjs");
require("./Theme/themeUtils.cjs");
require("./Theme/themes.cjs");
const Inputs_module = require("../Inputs.module-IVM4W4-x.cjs");
const InputSearch = (props) => {
  const {
    themeSettings: { className: themeClass }
  } = kit_Theme_UI.useTheme();
  return /* @__PURE__ */ jsxRuntime.jsx(antd.Input.Search, { ...props, className: [themeClass, Inputs_module.css.hasAffix].join(" ") });
};
module.exports = InputSearch;
